# Simulate incoming Swift payment

Simulates an incoming Swift transfer into a profile's account details. This will create a payment into the user's account details and balance for the specified amount and currency. Using sandbox, you can test the initial tech build for webhook subscriptions, balance statements, and sweeping funds.
If the request is successful the transfer is logged in our back office, which triggers a [swift-in#credit](/api-reference/webhook-event/eventswiftincredit) event and results in a balance update.
While most fields are optional, default values will be provided as needed.

Endpoint: POST /simulation/profiles/{profileId}/swift-in
Version: 2026Q4
Security: UserToken

## Security:

  - `UserToken` (unknown)
    http bearer JWT

## Path parameters:

  - `profileId` (integer, required)
    The profile ID.

## Header parameters:

  - `X-External-Correlation-Id` (string)
    Optional UUID for correlating requests across systems. If provided, Wise echoes it back in the response. Maximum 36 characters. [Learn more](/guides/developer/headers/correlation-id).

## Request fields (application/json):

  - `currencyCode` (string, required)
    ISO 4217 currency code
    Example: USD

  - `amount` (number, required)
    Amount received by Wise.
    Example: 100

  - `instructedAmount` (number)
    Amount sent by the sender.
If not provided, it is assumed to be the same as `amount` plus **same currency** fees.
Any outstanding fees in other currencies are ignored.
Required if `instructedCurrencyCode` is provided.
    Example: 101

  - `beneficiaryName` (string)
    Name of the ultimate beneficiary.
    Example: John Doe

  - `beneficiaryAccount` (string)
    Account number of the ultimate beneficiary. It can be either a local account number or an IBAN.
*If the provided IBAN resolves to a BIC that does not match any connected test BICs, simulation is not allowed and an error is returned.*
    Example: 8599680548

  - `beneficiaryAddress` (object)
    Address of the ultimate beneficiary.

  - `beneficiaryAddress.addressLine` (any)
    Example: 1234 Elm St, IL

  - `beneficiaryAddress.city` (any)
    Example: Springfield

  - `beneficiaryAddress.postalCode` (any)
    Example: 62704

  - `beneficiaryAddress.country` (any)
    Example: US

  - `senderName` (string)
    Name of the sender.
    Example: Jane Doe

  - `senderBic` (string)
    Business Identifier Code, also known as Swift Code.

  - `senderBank` (object)

  - `senderBank.name` (string)
    Name of the sender's bank.
    Example: Example Bank

  - `senderBank.lei` (string)
    Legal Entity Identifier (LEI) of the sender bank.
    Example: 5493001KJTIIGC8Y1R12

  - `senderBank.clearingSystemCode` (string)
    Code identifying the clearing system in which the sender bank is registered.
    Example: DEBLZ

  - `senderBank.clearingSystemMemberId` (string)
    Identifier of the sender bank within the clearing system specified by `clearingSystemCode`.
    Example: 50070010

  - `senderBank.address` (object)
    Address of the sender's bank.

  - `senderBank.address.addressLine` (any)
    Example: 1 Bank Street

  - `senderBank.address.city` (any)
    Example: Frankfurt

  - `senderBank.address.postalCode` (any)
    Example: 60311

  - `senderBank.address.country` (any)
    Example: DE

  - `senderAccount` (string)
    Account number of the sender. It can be either an IBAN or local account number.
    Example: DE89370400440532013000

  - `senderAddress` (object)
    Address of the sender.

  - `senderAddress.addressLine` (any)
    Example: 5678 Oak St

  - `senderAddress.city` (any)
    Example: Springfield

  - `senderAddress.postalCode` (any)
    Example: 62704

  - `senderAddress.country` (any)
    Example: US

  - `paymentReference` (string)
    Custom payment reference.
    Example: Test123

  - `charges` (array)
    List of fees declared by correspondents (e.g., handling fee).

  - `charges.amount` (number, required)
    Fee amount.
    Example: 1

  - `previousInstructingAgents` (array)
    List of previous instructing agents. Maximum 3 items.

## Request examples:

  - `Minimal request` (unknown)

  - `Full request` (unknown)

## Response 200:

  - `200` (unknown)
    Swift payment simulated successfully.

## Response 200 headers:

  - `X-External-Correlation-Id` (string)
    Echoed back when `X-External-Correlation-Id` was included in the request. [Learn more](/guides/developer/headers/correlation-id).
    Example: f47ac10b-58cc-4372-a567-0e02b2c3d479

  - `x-trace-id` (string)
    Unique trace identifier assigned by Wise. Useful when contacting support about a specific request.
    Example: fba501b6d453b96789f52338f019341f

## Response 400:

  - `400` (unknown)
    Bad request.

## Response 400 headers:

  - `X-External-Correlation-Id` (string)
    Echoed back when `X-External-Correlation-Id` was included in the request. [Learn more](/guides/developer/headers/correlation-id).
    Example: f47ac10b-58cc-4372-a567-0e02b2c3d479

  - `x-trace-id` (string)
    Unique trace identifier assigned by Wise. Useful when contacting support about a specific request.
    Example: fba501b6d453b96789f52338f019341f

## Response 422:

  - `422` (unknown)
    Unprocessable Entity.

## Response 422 headers:

  - `X-External-Correlation-Id` (string)
    Echoed back when `X-External-Correlation-Id` was included in the request. [Learn more](/guides/developer/headers/correlation-id).
    Example: f47ac10b-58cc-4372-a567-0e02b2c3d479

  - `x-trace-id` (string)
    Unique trace identifier assigned by Wise. Useful when contacting support about a specific request.
    Example: fba501b6d453b96789f52338f019341f

## Response 429:

  - `429` (unknown)
    Rate limit exceeded. Retry after the number of seconds specified in the `Retry-After` header.

## Response 429 headers (application/json):

  - `Retry-After` (integer)
    Number of seconds to wait before retrying the request.
    Example: 5

  - `X-Rate-Limited-By` (string)
    Identifies the rate limiter that triggered the 429 response.
    Example: wise-public-api

  - `X-External-Correlation-Id` (string)
    Echoed back when `X-External-Correlation-Id` was included in the request. [Learn more](/guides/developer/headers/correlation-id).
    Example: f47ac10b-58cc-4372-a567-0e02b2c3d479

  - `x-trace-id` (string)
    Unique trace identifier assigned by Wise. Useful when contacting support about a specific request.
    Example: fba501b6d453b96789f52338f019341f

